hamster is always using 1% of the CPU

Bug #620113 reported by Adi Roiban on 2010-08-18
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Project Hamster
Fix Released
Medium
hamster-applet (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: hamster-applet

While investigating the CPU usage on my computer I saw that even thought hamster is not tracking any activity, it is still using 1% of the CPU.

This is a major drawback when using a laptop on battery

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: hamster-applet 2.30.1-0ubuntu0.1
ProcVersionSignature: Ubuntu 2.6.32-24.40~kamal~scien-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Thu Aug 19 00:15:05 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcEnviron:
 PATH=(custom, user)
 LANG=ro_RO.utf8
 SHELL=/bin/bash
SourcePackage: hamster-applet

Adi Roiban (adiroiban) wrote :
Matt Lavin (matt-lavin) wrote :

I reported this same problem directly to the hamster project, and it turns out that this problem was fixed in a 2.30.2 that has not been adopted by Ubuntu yet. The hamster bug is https://bugzilla.gnome.org/show_bug.cgi?id=615338.

How can we get the hamster package updated in Ubuntu?

Changed in hamster-applet:
status: Unknown → Fix Released
Martin Pitt (pitti) wrote :

Please put 2.30.2 into maverick ASAP, otherwise this can't go to -updates.

Changed in hamster-applet (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed

Accepted hamster-applet into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in hamster-applet:
importance: Unknown → Medium
Adi Roiban (adiroiban) wrote :

Hi Martin and thanks for this update.

I have installed the proposed package for Lucid and this problem seems to be solved.

Jean-Baptiste Lallement (jibel) wrote :

Thank you for testing. Marking as verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hamster-applet - 2.31.92-0ubuntu1

---------------
hamster-applet (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #629495) Fixes bugs:
    - Hamster is always using 1% of the CPU (LP: #620113)
  * removed 01_startup-fix.patch and 02_fix_imports.patch
  * debian/rules:
    - upstream has switched to waf, modified debian/rules accordingly.
  * debian/control.in:
    - bump debhelper dependency to 5.0.51~ for dh_icons
    - bump Standards-Version to 3.9.1, no changes we required
    - add Build-Dependency on gnome-control-center-dev
    - add Dependency on python-wnck
    - changed Homepage
  * debian/copyright:
    - Removed licenses for files that were removed from archive
    - Refreshed Copyright Holders list
 -- Krzysztof Klimonda <email address hidden> Sun, 19 Sep 2010 08:51:59 +0200

Changed in hamster-applet (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hamster-applet - 2.30.2-0ubuntu1

---------------
hamster-applet (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release. (LP: #629609)
  * Fixes a bug that made hamster-applet always use some of the CPU,
    draining battery. (LP: #620113)
 -- Krzysztof Klimonda <email address hidden> Mon, 06 Sep 2010 01:31:34 +0200

Changed in hamster-applet (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.